CONFIG += release
 
INCLUDEPATH += /tmp/pkgbuild/inputmethod/uim/work.alpha/uim-1.8.8 /tmp/pkgbuild/inputmethod/uim/work.alpha/uim-1.8.8/uim \
               /tmp/pkgbuild/inputmethod/uim/work.alpha/uim-1.8.8 /tmp/pkgbuild/inputmethod/uim/work.alpha/uim-1.8.8/uim \
               /tmp/pkgbuild/inputmethod/uim/work.alpha/uim-1.8.8/replace
QMAKE_LIBDIR += /tmp/pkgbuild/inputmethod/uim/work.alpha/uim-1.8.8/uim /tmp/pkgbuild/inputmethod/uim/work.alpha/uim-1.8.8/replace \
                /tmp/pkgbuild/inputmethod/uim/work.alpha/uim-1.8.8/replace/.libs /tmp/pkgbuild/inputmethod/uim/work.alpha/uim-1.8.8/uim/.libs
LIBS += -lreplace -luim -luim-scm
!win32:!embedded:!mac {
    LIBS += -luim-x-util
}

greaterThan(QT_MAJOR_VERSION, 4) {
    QT += widgets
}
 
QMAKE_CC                = gcc
QMAKE_CFLAGS_DEBUG     += -O2 -mieee -D_FORTIFY_SOURCE=2 -I/usr/pkg/include -I/usr/include -I/usr/pkg/include/glib-2.0 -I/usr/pkg/include/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include -I/usr/X11R7/include -I/usr/X11R7/include/freetype2 -I/usr/X11R7/include/libdrm -I/usr/pkg/qt5/include -pedantic -pipe -Wall -Wchar-subscripts -Wmissing-declarations -Wredundant-decls -Wmissing-prototypes -Wnested-externs -Wpointer-arith -Wcast-align -Wsign-compare -Wno-long-long -Wno-overlength-strings -DNDEBUG   -DPNG_NO_ASSEMBLER_CODE -I/usr/pkg/include -I/usr/include -I/usr/pkg/include/glib-2.0 -I/usr/pkg/include/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include -I/usr/X11R7/include -I/usr/X11R7/include/freetype2 -I/usr/X11R7/include/libdrm -I/usr/pkg/qt5/include  -I/usr/X11R7/include
QMAKE_CFLAGS_RELEASE   += -O2 -mieee -D_FORTIFY_SOURCE=2 -I/usr/pkg/include -I/usr/include -I/usr/pkg/include/glib-2.0 -I/usr/pkg/include/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include -I/usr/X11R7/include -I/usr/X11R7/include/freetype2 -I/usr/X11R7/include/libdrm -I/usr/pkg/qt5/include -pedantic -pipe -Wall -Wchar-subscripts -Wmissing-declarations -Wredundant-decls -Wmissing-prototypes -Wnested-externs -Wpointer-arith -Wcast-align -Wsign-compare -Wno-long-long -Wno-overlength-strings -DNDEBUG   -DPNG_NO_ASSEMBLER_CODE -I/usr/pkg/include -I/usr/include -I/usr/pkg/include/glib-2.0 -I/usr/pkg/include/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include -I/usr/X11R7/include -I/usr/X11R7/include/freetype2 -I/usr/X11R7/include/libdrm -I/usr/pkg/qt5/include  -I/usr/X11R7/include
QMAKE_CXX               = c++
QMAKE_CXXFLAGS_DEBUG   += -O2 -mieee -D_FORTIFY_SOURCE=2 -I/usr/pkg/include -I/usr/include -I/usr/pkg/include/glib-2.0 -I/usr/pkg/include/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include -I/usr/X11R7/include -I/usr/X11R7/include/freetype2 -I/usr/X11R7/include/libdrm -I/usr/pkg/qt5/include -pipe -W -Wall -Wchar-subscripts -Wnon-virtual-dtor -Wno-long-long -Wcast-align -Wconversion -Wpointer-arith -Wwrite-strings -Wformat-security -DNDEBUG -DPNG_NO_ASSEMBLER_CODE -I/usr/pkg/include -I/usr/include -I/usr/pkg/include/glib-2.0 -I/usr/pkg/include/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include -I/usr/X11R7/include -I/usr/X11R7/include/freetype2 -I/usr/X11R7/include/libdrm -I/usr/pkg/qt5/include  -I/usr/X11R7/include
QMAKE_CXXFLAGS_RELEASE += -O2 -mieee -D_FORTIFY_SOURCE=2 -I/usr/pkg/include -I/usr/include -I/usr/pkg/include/glib-2.0 -I/usr/pkg/include/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include -I/usr/X11R7/include -I/usr/X11R7/include/freetype2 -I/usr/X11R7/include/libdrm -I/usr/pkg/qt5/include -pipe -W -Wall -Wchar-subscripts -Wnon-virtual-dtor -Wno-long-long -Wcast-align -Wconversion -Wpointer-arith -Wwrite-strings -Wformat-security -DNDEBUG -DPNG_NO_ASSEMBLER_CODE -I/usr/pkg/include -I/usr/include -I/usr/pkg/include/glib-2.0 -I/usr/pkg/include/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include -I/usr/X11R7/include -I/usr/X11R7/include/freetype2 -I/usr/X11R7/include/libdrm -I/usr/pkg/qt5/include  -I/usr/X11R7/include
# Remove "-Wconversion" from CXXFLAGS to avoid lots of warnings
# from Qt4 header files
QMAKE_CXXFLAGS_DEBUG    = $$replace(QMAKE_CXXFLAGS_DEBUG, "-Wconversion", "")
QMAKE_CXXFLAGS_RELEASE  = $$replace(QMAKE_CXXFLAGS_RELEASE, "-Wconversion", "")
QMAKE_LINK              = c++
QMAKE_LFLAGS            = -L/usr/pkg/lib -Wl,-R/usr/pkg/lib -L/usr/lib -Wl,-R/usr/lib -L/usr/X11R7/lib -Wl,-R/usr/X11R7/lib -L/usr/pkg/qt5/lib -L/usr/pkg/qt5/plugins -Wl,-R/usr/pkg/qt5/lib -Wl,-R/usr/pkg/qt5/plugins
QMAKE_STRIP             =
 
INSTALLS    += target
